MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002292VCMIOtherpublic2015-10-08 19:312015-12-12 22:58
ReporterSXX 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.98d 
Target VersionFixed in Version0.98f 
Summary0002292: When run under Qt Creator debugger some log entries being sent via sentMessage
DescriptionThere is tricky problem that unlikely fault of VCMI, but still related so I post it here. When game run in debugger all logs are dumped into output, but for some reason code that handle input consider it as something user sent and try to sent it in chat "client/CMT.cpp:790".

This become a problem because messages are sent from player interfaces, but when server process AI player turn those are identified "fishy" that cause recursion messages being sent.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006074)
SXX (administrator)
2015-11-08 19:28

So processCommand is basically problem that cause all "green text" include what appear in battle on Windows too. Though on Windows issue mainly with "532" line.

Considering it's all extremely old debug stuff I'm going comment it out because likely nobody uses it. I don't think any of these functions are useful because chat work in-game now and you can't enter cheats from console anyway.

Of course normal commands to client going to work as fine.

Commit:
https://github.com/vcmi/vcmi/commit/a49950e958d896c02f20cb2332ee748a1a0ca356 [^]
(0006075)
Warmonger (administrator)
2015-11-08 21:16

What do you mean that you can't enter cheats from console? The VCMI Client console certainly allows that.
(0006076)
SXX (administrator)
2015-11-08 21:36
edited on: 2015-11-08 21:37

I mean from "stdin", not in-game chat input. It's what you get when you try to send command from stdin:
Cannot realize cheat, no hero selected!
Player 0 sends a message: vcmiistari
System message: Server encountered a problem: Cannot realize cheat, no hero selected!

So it's clearly wasn't working and I'm decide to just comment it altogether in processCommand instead of adding some filtering, etc.

(0006077)
SXX (administrator)
2015-11-08 21:44

Anyway if this functionality (sending cheats from "stdin") needed then it's need to be fixed and check for input need to be added (substr(0,4) == 'vcmi') so it's not going to accept logs from console.

- Issue History
Date Modified Username Field Change
2015-10-08 19:31 SXX New Issue
2015-11-08 18:13 SXX Assigned To => SXX
2015-11-08 18:13 SXX Status new => assigned
2015-11-08 19:28 SXX Note Added: 0006074
2015-11-08 19:28 SXX Status assigned => resolved
2015-11-08 19:28 SXX Fixed in Version => 0.98f
2015-11-08 19:28 SXX Resolution open => fixed
2015-11-08 21:16 Warmonger Note Added: 0006075
2015-11-08 21:36 SXX Note Added: 0006076
2015-11-08 21:37 SXX Note Edited: 0006076 View Revisions
2015-11-08 21:44 SXX Note Added: 0006077

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean